For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entities
      • POSTCreate an entity
      • GETGet the current entity
      • PATCHUpdate the current entity
      • GETGet an entity
      • PATCHUpdate an entity
      • POSTActivate an entity
      • POSTDeactivate an entity
      • PUTUpload an entity logo
      • DELDelete an entity's logo
      • GETGet entity metadata
      • PUTReplace entity metadata
      • GETGet entity settings
      • PATCHUpdate entity settings
      • GETGet the next document numbers for an entity
      • GETGet an entity of this user
      • PATCHUpdate an entity of this user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntities

Get an entity

GET
/entities/:entity_id
GET
/v1/entities/:entity_id
$curl https://api.sandbox.monite.com/v1/entities/ea837e28-509b-4b6a-a600-d54b6aa0b1f5 \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "type": "individual",
3 "address": {
4 "city": "city",
5 "country": "AF",
6 "line1": "line1",
7 "postal_code": "postal_code",
8 "line2": "line2",
9 "state": "state"
10 },
11 "created_at": "2024-01-15T09:30:00Z",
12 "id": "id",
13 "individual": {
14 "first_name": "first_name",
15 "last_name": "last_name",
16 "date_of_birth": "date_of_birth",
17 "id_number": "id_number",
18 "ssn_last_4": "ssn_last_4",
19 "title": "title"
20 },
21 "status": "active",
22 "updated_at": "2024-01-15T09:30:00Z",
23 "email": "email",
24 "logo": {
25 "id": "id",
26 "created_at": "2024-01-15T09:30:00Z",
27 "file_type": "payables",
28 "md5": "31d1a2dd1ad3dfc39be849d70a68dac0",
29 "mimetype": "application/pdf",
30 "name": "invoice.pdf",
31 "region": "eu-central-1",
32 "size": 24381,
33 "url": "https://bucketname.s3.amazonaws.com/12345/67890.pdf",
34 "pages": [
35 {
36 "id": "id",
37 "mimetype": "image/png",
38 "number": 0,
39 "size": 21972,
40 "url": "https://bucket.s3.amazonaws.com/123/456.png"
41 }
42 ],
43 "previews": [
44 {
45 "height": 400,
46 "url": "https://bucketname.s3.amazonaws.com/1/2/3.png",
47 "width": 200
48 }
49 ]
50 },
51 "phone": "phone",
52 "registration_authority": "registration_authority",
53 "registration_number": "registration_number",
54 "tax_id": "tax_id",
55 "website": "website"
56}
Returns entity information for the specified entity ID. This endpoint requires a partner access token and can be used to get any of the partner's entities. To get entity information by using an entity user token, use [`GET /entity_users/my_entity`](https://docs.monite.com/api/entities/get-entity-users-my-entity) instead. Related endpoints: * [Get entity settings](https://docs.monite.com/api/entities/get-entities-id-settings)
Was this page helpful?
Previous

Update an entity

Next
Built with

Returns entity information for the specified entity ID.

This endpoint requires a partner access token and can be used to get any of the partner’s entities.

To get entity information by using an entity user token, use GET /entity_users/my_entity instead.

Related endpoints:

  • Get entity settings

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
A unique ID to specify the entity.

Headers

x-monite-versionstringRequired

Response

Successful Response
individualobject
OR
organizationobject

Errors

400
Get Entities ID Request Bad Request Error
401
Get Entities ID Request Unauthorized Error
422
Get Entities ID Request Unprocessable Entity Error
429
Get Entities ID Request Too Many Requests Error